<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Subscription extends Model
{
    use HasFactory;
    protected $table  = "subscription";

    protected $fillable = [
        'subscription_start_date',
        'subscription_renewal_date',
        'subscription_status',
        'cart_id',
        'item_id',
        'patient_id',
        // 'status'
    ];
    public function cart()
    {
        return $this->belongsTo(Cart::class);
    }
    public function item()
    {
        return $this->belongsTo(Item::class);
    }
    public function patient()
    {
        return $this->belongsTo(Patient::class);
    }
}
